Bug 5574 - SLURPD - more than one LDAP suffix with replogfile
: SLURPD - more than one LDAP suffix with replogfile
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openldap-servers)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-28 06:00 by
Modified: 2006-06-30 20:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-28 06:00:18
На данный момент slurpd не отрабатывает следующий конфиг: в slapd.conf описано
два  разных суффикса с соответствующими настройками для репликации. slurpd
подхватывает только один из параметров replogfile, молча игнорируя второй.

Есть два варианта решения:
1. Вынести параметр replogfile в глобальный конфиг. В этом случае replogfile
будет использоваться для всех имеющихся суффиксов, а replica в описании
suffix'a
будет указывать на необходимость репликации. В таком варианте slurpd нормально
работает.

2. Оставить всё как есть, но в этом случае необходимо из slapd.conf выдергивать
настройки для каждого суффикса в отдельный файл и запускать отдельный экземпляр
slurpd c указанием файла конфигурации для каждого суффикса.

Первый вариант выглядит более привлекательным.
------- Comment #1 From 2004-11-28 13:07:44 -------
Я думаю. что в следующем релизе я включу в глобальном конфиге эту опцию
Вопрос может необходимо обратно внести запуск slurpd в инит-скрипт чтобы они
стартовали вместе?!
------- Comment #2 From 2004-11-28 17:34:38 -------
(In reply to comment #1)
Имеет смысл все-таки держать два init-скрипта, т.к. иногода требуется перезапуск
только slurpd. А вот в скрипте запуска slurpd имеет смысл сделать проверку на
наличие в slapd.conf параметра replogfile и хотя бы одного параметра replica.
Да, было бы замечательно, если в конфиг по-умолчанию будет присутствовать
минимальный пример параметра replica с авторизацией. Что-то типа:

#replica uri=ldaps://slave.ldap.addr/
#    binddn="cn=ldapAdminSlave,dc=domain,dc=tld"
#    bindmethod=simple
#    credentials=ldapAdminSlave_secret
№ see man slapd.conf for full description
------- Comment #3 From 2004-12-07 13:21:18 -------
Частично внесены данные в slapd.conf

Этот пункт занесем в TODO по генерации конфигурационных файлов  отностительно
последнего исходного дистрибутива OpenLDAP включаемого в пакет( slapd.conf,
access.conf, ldap.conf, bases.conf)
------- Comment #4 From 2006-05-10 07:14:25 -------
replogfile описывется только в общей части конфига. Соответствующие 'replica
...' - в конфигурации базы данных. Получается единый файл для всех суффиксов.
slurpd разбирает его в соответствии с параметрами 'replica ...' для конкретного
суффикса.
------- Comment #5 From 2006-06-27 14:41:37 -------
fixed
------- Comment #6 From 2006-06-27 14:42:36 -------
fixed in 2.3.21